Subject: bug#11735: 24.1.50; "Warning: Unknown defun property ... in ..."

From: "Drew Adams" <[email-masked]>
Date: Mon, 18 Jun 2012 15:03:56 -0700

> Then, byte-compile it, and the message will go away.

Great, but that doesn't sound like a general solution for the problem.

It's not about my use of this library.  Or even about an arbitrary user's use of
this library.

Apparently you are wedded to the idea of a runtime message here.  Haven't seen
any reason given, but whatever.

To me this is a poster child for the kind of thing we should not be issuing a
runtime warning for: a Common-Lisp declaration that we do not even recognize
(hence can have no effect), and which in Common Lisp itself is only for
optimization anyway.

But it's your call, of course.  I ask only that you think about it.